/*
|--------------------------------------------------------------------------
| General Styling
|--------------------------------------------------------------------------
|
| Applies general styling to nav menu.
|
*/

.bc-menu {
  --item-spacing-y: 1.5rem;
  --item-spacing-x: 1rem;
  --item-font-size: 1rem;
  --title-item-spacing-x: .75rem;
  display: flex;
  flex-direction: column;
}

.bc-menu,
.bc-menu ul {
  margin-bottom: 0;
  padding-inline-start: 0;
  list-style: none;
}

.bc-menu li {
  font-size: var(--item-font-size);
  padding-top: calc(var(--item-spacing-y) * .5);
  padding-inline-start: calc(var(--item-spacing-x) * .5);
  padding-inline-end: calc(var(--item-spacing-x) * .5);
  position: relative;
}

.bc-menu .menu-item-title > * {
  color: inherit;
}

.bc-menu .menu-item-title .bi {
  font-size: 1.25em;
  display: block;
}

.bc-menu ul {
  color: var(--body-color);
  padding-inline-start: 1.15rem;;
}

.bc-menu ul li {
  text-align: start;
  padding-inline-start: 0;
  padding-inline-end: 0;
  font-size: calc(var(--item-font-size) * .925);
}

.bc-menu a {
  text-decoration: none;
}

.bc-menu a::after {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1;
  content: "";
}

.bc-menu .menu-item-title {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  height: 100%;
}

.bc-menu .menu-item-desc {
  display: none;
  margin-top: .75rem;
  margin-bottom: 0;
  font-size: .925em;
  opacity: .75;
}

.bc-menu .menu-item-title > *:not(:first-child) {
  margin-inline-start: var(--title-item-spacing-x);
}

.bc-menu .menu-item-title > .sub-menu-btn {
  margin-inline-start: auto;
  transition: rotate 1s;
  position: relative;
  z-index: 2;
}

.bc-menu .menu-item-title > .sub-menu-btn img {
  width: 20px;
  height: 20px;
  filter: var(--filter-body-color);
}

[class*="offcanvas"].show .bc-menu .sub-menu-btn[aria-expanded="true"] {
  rotate: 180deg;
}

.bc-menu .external-link-arrow {
  align-self: flex-start;
  /* margin-inline-start: 0.125rem; */
  height: 7px;
  width: 7px;
  display: flex;
  align-items: center;
  justify-content: center;
  rotate: -45deg;
  margin-inline-start: 0 !important;
  margin-inline-end: 4px;
}

.bc-menu li.icon-only > .menu-item-title > a {
  display: none;
}

/**
 * RTL
 */

body[direction="rtl"] .bc-menu > li > .external-link-arrow {
  rotate: -90deg;
}

/*
|--------------------------------------------------------------------------
| Large Media Query
|--------------------------------------------------------------------------
|
| Applies styling for large screen sizes.
|
*/

@media (min-width: 992px) {
  .bc-menu {
    --item-spacing-y: 1.5rem;
    --item-spacing-x: 3rem;
    flex-direction: row;
  }

  .bc-menu ul {
    display: none;
    position: absolute;
    top: 100%;
    inset-inline-start: 0;
    width: 250px;
    background: rgba(var(--body-bg-rgb), 1);
    box-shadow: 0 .5rem 1rem rgba(var(--dark-rgb), 0.15);
    border: var(--border-width) var(--border-style) var(--border-color);
    border-radius: .25rem;
    padding-inline-start: 0;
  }

  .bc-menu li:hover > ul {
    display: block;
  }

  .bc-menu li,
  .bc-menu ul li {
    padding-bottom: calc(var(--item-spacing-y) * .5);
    padding-inline-start: calc(var(--item-spacing-x) * .5);
    padding-inline-end: calc(var(--item-spacing-x) * .5);
  }
  
  /* .bc-menu > li:first-child {
    margin-inline-start: calc(var(--item-spacing-x) * -.5);
  } */

  .bc-menu ul li {
    --item-spacing-x: 1.25rem;
    text-align: start;
    /* font-size: calc(var(--item-font-size) * .925); */
  }

  .bc-menu ul li:after {
    content: "";
    position: absolute;
    /* width: calc(100% - 2 * var(--item-spacing-x)); */
    width: 100%;
    transform: translateX(-50%);
    inset-inline-start: 50%;
    bottom: 0;
    height: 1px;
    background-color: var(--border-color);
  }
  
  .bc-menu ul li:last-child:after {
    display: none;
  }

  /* .bc-menu .sub-menu-btn {
    width: 24px;
    height: 24px;
  } */

  .bc-menu ul li .sub-menu-btn {
    rotate: -90deg;
  }
  
  .bc-menu > li > .menu-item-title > .sub-menu-btn {
    margin-inline-start: var(--title-item-spacing-x);
  }

  .bc-menu ul li:first-child {
    margin-top: 0;
  }

  .bc-menu ul ul {
    top: 0;
    inset-inline-start: 100%;
  }

  .bc-menu .menu-item-desc {
    display: block;
  }
}

/*
|--------------------------------------------------------------------------
| Hamburger menu btn icon effect
|--------------------------------------------------------------------------
|
| 
|
*/

.bc-menu-btn-icon {
  --icon-height: 28px;
  --icon-width: 28px;
  --line-thickness: 2px;
  --icon-padding-y: 6px;
  width: var(--icon-width);
  height: var(--icon-height);
  position: relative;
  transform: rotate(0deg);
  transition: 1s ease-in-out;
}

.bc-menu-btn-icon span {
  display: block;
  position: absolute;
  height: var(--line-thickness);
  width: 100%;
  background: var(--btn-color, --body-color);
  border-radius: 9px;
  opacity: 1;
  inset-inline-start: 0;
  transform: rotate(0deg);
  transition: all .5s ease-in-out, background .1s ease-in-out;
}

.bc-menu-btn:hover .bc-menu-btn-icon span {
  background: var(--btn-hover-color);
}

.bc-menu-btn:active .bc-menu-btn-icon span {
  background: var(--btn-active-color);
}

.bc-menu-btn-icon span:nth-child(1) {
  top: var(--icon-padding-y);
}

.bc-menu-btn-icon span:nth-child(2) {
  top: calc((var(--icon-height) - var(--line-thickness)) / 2);
}

.bc-menu-btn-icon span:nth-child(3) {
  top: calc(var(--icon-height) - var(--line-thickness) - var(--icon-padding-y));
}

.open .bc-menu-btn-icon span:nth-child(1) {
  top: calc((var(--icon-height) - var(--line-thickness)) / 2);
  transform: rotate(135deg);
}

.open .bc-menu-btn-icon span:nth-child(2) {
  opacity: 0;
  inset-inline-start: -60px;
}

.open .bc-menu-btn-icon span:nth-child(3) {
  top: calc((var(--icon-height) - var(--line-thickness)) / 2);
  transform: rotate(-135deg);
}